Subject: 29.2; Missing ‘(provide 'paragraphs)’ in lisp/textmodes/paragraphs.el

From: tpeplt <[email-masked]>
Date: Mon, 18 Mar 2024 14:16:57 -0400

The Emacs Lisp file "../lisp/textmodes/paragraphs.el" does not include
an expression to announce that "paragraphs" is a feature in the current
Emacs, that is, near the end "paragraphs.el" there is no expression:

   (provide 'paragraphs)

Because of this, if 

   (require 'paragraphs)

is included in an Emacs Lisp source file, then the byte-compiler will
issue an error message saying that loading the file ‘paragraphs.elc’
failed to provide the feature ‘paragraphs’.

--